Flutter配置

见到Flutter颇为有趣,不禁下载一试,当下完android studio之后,又用visual studio code,安装flutter插件,按说明直接F5却无法运用,无奈又接真机试了一试,仍旧无法。

需按如下步骤,才可一次调通:

1、下载android studio

2、下载flutter

3、增加环境变量

4、下载并配置gradle,直接在在setting中设置,以免wapper下载过慢

5、修改项目下之gradle,将build.gadle文件中 google() 及 jcenter()注释,并添加:

maven { url 'https://maven.aliyun.com/repository/google' }
maven { url 'https://maven.aliyun.com/repository/jcenter' }
maven { url 'http://maven.aliyun.com/nexus/content/groups/public' }

另外要注意classpath中的版本号,如默认是3.5.1,要修改与下载的android studio一致

classpath 'com.android.tools.build:gradle:4.0.1'

6、SDK中

flutter/packages/flutter_tools/gradle/flutter.gradle

改为 private static final String MAVEN_REPO=”http://download.flutter.io”;

flutter/packages/flutter_tools/gradle/resolve_dependencies.gradle

改为 url “http://download.flutter.io”

发表评论

您的电子邮箱地址不会被公开。 必填项已用*标注